Subject: bug#8537: 2.4 : triggers libc "nlist > 1" assertion failure from --link in

From: Jason Vas Dias <[email-masked]>
Date: Fri, 22 Apr 2011 19:35:39 +0100

Oops, NOTABUG - this bug should be changed to be an "Enhancement Request" :

If any libtool generated shell command or pipeline fails, it should
print details of at
least the file and line number but preferably the whole command that
failed, to stderr .

What had happened was, usually I have ONLY 32-bit programs such as
/sbin/32/ldconfig
(which configures /etc/32/ld.so.cache using /etc/32/ld.so.conf ),
which absolutely must
be 32-bit, are installed on my system; but a an old non multilib
version of a 32-bit binutils got restored
(for another test) under /usr/bin/32 which I had forgotten about,  and
I had not set
$AR or $RANLIB to /usr/bin/{ar,ranlib}  . Sorry !

But I would never have raised this bug had libtool printed out something like :
  /usr/bin/32/ar failed : ...

libtool was creating an intermediary ar archive here - why ? I had not
requested --enable-static .
And what was that about the poppler generated libtool printing out
"-32 : command not found" ??